package p13_pliki.podstawy;

import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.time.LocalTime;

public class Zapis3a {
	// W tej wersji programu celowo doprowadzamy do wyjątku - dzielenie przez zero, jeśli ostatnią cyfrą sekundy jest 0
	// Gdy dojdzie do wyjątku, to program nie wykona metody close, a więc plik nie zostanie prawidłowo zamknięty.
	
	public static void main(String[] args) {
		LocalTime czas = LocalTime.now();
		System.out.println("Startujemy o godzinie " + czas);
		int cyfra = czas.getSecond() % 10;
		System.out.println("Ostatnia cyfra sekundy: " + cyfra);

		try {
			PrintWriter out = new PrintWriter("wynik3.txt");
			out.println("Pierwsza linia");
			out.println("Druga linia");
			out.print("Teraz jest godzina ");
			out.println(czas);
			out.println("Wynik dzielenia: " + (100 / cyfra));
			out.println("Koniec");
			out.close();
		} catch(FileNotFoundException e) {
			e.printStackTrace();
		}
		System.out.println("Gotowe");
	}

}
